export interface Logger {
	log: (message: unknown) => void;
	error: (message: unknown) => void;
	warn: (message: unknown) => void;
	debug: (message: unknown) => void;
}

export interface CommandHandlerArgs {
	self: any;
	interactive: boolean;
	send: (message: number) => void;
	logger: Logger;
	args: any;
}

export type CommandHandler = (args: CommandHandlerArgs) => void | number | Promise<number> | Promise<void>;
